org.apache.ignite.internal.processors.platform

## Interface PlatformAsyncTarget

All Known Implementing Classes:
  PlatformAbstractQueryCursor, PlatformAbstractTarget, PlatformAffinity, PlatformAffinityFunctionTarget, PlatformAtomicLong, PlatformAtomicReference, PlatformAtomicSequence, PlatformBinaryProcessor, PlatformCache, PlatformCacheIterator, PlatformClusterGroup, PlatformCompute, PlatformContinuousQueryProxy, PlatformDataStreamer, PlatformEvents, PlatformFieldsQueryCursor, PlatformListenableTarget, PlatformMessaging, PlatformQueryCursor, PlatformServices, PlatformTransactions

    public interface PlatformAsyncTarget

Async target.

### Method Summary

Methods
`IgniteInternalFuture` `currentFuture()` Gets future for the current operation.
`PlatformFutureUtils.Writer` `futureWriter(int opId)` Gets a custom future writer.

### Method Detail

#### currentFuture

    IgniteInternalFuture currentFuture()
                                       throws IgniteCheckedException

Gets future for the current operation.

Returns:
  current future.
Throws:
  `IgniteCheckedException` - If failed.

#### futureWriter

    @Nullable
    PlatformFutureUtils.Writer futureWriter(int opId)

Gets a custom future writer.

Parameters:
  `opId` - Operation id.
Returns:
  A custom writer for given op id.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017